DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureDescriptionNew

Allocate a new FeatureDescription

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_FeatureDescriptionNew ( description, resources )

## FUNCTION

This function allocates a new dip_FeatureDescription data structure. A feature description contains the name, a short description of a measurement feature, as well as the labels and units of the data measured by the feature.

## ARGUMENTS

Data type | Name | Description
`dip_FeatureDescription` | `description` | Feature description data structure
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementFeatureDescription`, `FeatureDescriptionNew`, `FeatureDescriptionFree`, `FeatureDescriptionSetName`, `FeatureDescriptionGetName`, `FeatureDescriptionSetDescription`, `FeatureDescriptionGetDescription`, `FeatureDescriptionSetLabels`, `FeatureDescriptionGetLabels`, `FeatureDescriptionSetLabel`, `FeatureDescriptionSetDimensionLabels`, `FeatureDescriptionSetUnits`, `FeatureDescriptionGetUnits`, `FeatureDescriptionSetUnit`